Send Push Notification Communication: Funnel
POST
https://api.propexo.com/crm/v1/communications/funnel/push-notificationAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
community_idstringrequired
The Propexo unique identifier for the community
prospect_idstringrequired
The Propexo unique identifier for the prospect
listing_idstringrequired
The Propexo unique identifier for the listing
notification_typestringrequired
Show 1 enum value
RENEWALResponse
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
community_idstringrequired
The Propexo unique identifier for the community
prospect_idstringrequired
The Propexo unique identifier for the prospect
listing_idstringrequired
The Propexo unique identifier for the listing
notification_typestringrequired
Show 1 enum value
RENEWALErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/communications/funnel/push-notification
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/crm/v1/communications/funnel/push-notification \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"notification_type": "RENEWAL"
}'
const response = await fetch("https://api.propexo.com/crm/v1/communications/funnel/push-notification", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"notification_type": "RENEWAL"
}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/crm/v1/communications/funnel/push-notification",
headers={"Authorization": "Bearer <token>"},
json={
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"notification_type": "RENEWAL"
},
)
data = response.json()
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"listing_id": "string",
"notification_type": "RENEWAL"
}
}